Create a Fleet Server host
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/fleet_server_hosts
-
POST
/s/{space_id}/api/fleet/fleet_server_hosts
Auth
Create a new Fleet Server host.
-
Privileges
fleet-settings-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
allow_edit
string[] · max items: 100
-
host_urls
string[] · min items: 1 · max items: 10
required
-
is_default
boolean · default: false
-
is_preconfigured
boolean · default: false
-
secrets
object
-
-
ssl
object
-
-
agent_key
union anyOf
-
Any of:
-
es_key
union anyOf
-
Any of:
-
ssl
object
nullable
-
-
agent_certificate_authorities
string[] · max items: 10
-
certificate_authorities
string[] · max items: 10
-
client_auth
enum
-
Values:
optional
required
none
-
es_certificate_authorities
string[] · max items: 10
-
item
object
required
-
-
allow_edit
string[] · max items: 100
-
host_urls
string[] · min items: 1 · max items: 10
required
-
is_default
boolean · default: false
-
is_preconfigured
boolean · default: false
-
secrets
object
-
-
ssl
object
-
-
agent_key
union anyOf
-
Any of:
-
es_key
union anyOf
-
Any of:
-
ssl
object
nullable
-
-
agent_certificate_authorities
string[] · max items: 10
-
certificate_authorities
string[] · max items: 10
-
client_auth
enum
-
Values:
optional
required
none
-
es_certificate_authorities
string[] · max items: 10
-
attributes
object
required